> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start checkout from cart

> Start checkout from cart

### Request body

JSON body of type `StartCheckoutRequest`.

### Responses

<ResponseField name="201" type="ApiResponse_CheckoutSessionResponse">
  Checkout session started
</ResponseField>

<ResponseField name="400" type="ErrorResponse">
  Invalid request
</ResponseField>

<ResponseField name="401" type="ErrorResponse">
  Unauthorized
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/checkout' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "data": {
      "billing_address": null,
      "cart_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "currency": "string",
      "customer_email": null,
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "payment_method": null,
      "shipping_address": null,
      "shipping_method": null,
      "step": "string",
      "subtotal": "string",
      "total": "string"
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
